/*
    Klat4 - A LaTeX editor for KDE4

    Copyright (C) 2008  Anna A. Ladilova (ladilova@algebraic.ru)    
    Copyright (C) 2002-2004  Jori Liesenborgs (jori@lumumba.luc.ac.be)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef KLATEDITCOMMANDDLGIMPL_H

#define KLATEDITCOMMANDDLGIMPL_H

#include <KShortcut>

#include <QtGui/QButtonGroup>
#include <QtGui/QComboBox>
#include <QtGui/QDialog>
#include <QtGui/QGridLayout>
#include <QtGui/QLabel>
#include <QtGui/QLineEdit>
#include <QtGui/QPushButton>
#include <QtGui/QSpacerItem>

class KlatEditCommandDlgImpl : public QDialog
{
	Q_OBJECT
public:
	KlatEditCommandDlgImpl(QWidget *parent);
	~KlatEditCommandDlgImpl();
	
	void setMenuName(const QString &m)				{ mname = m; }
	void setCommand(const QString &c)				{ cmd = c; }
	void setCommandLine(const QString &l)				{ cmdLine = l; }
	void setSection(const QString &s)				{ sect = s; }
	void setShortcut(const KShortcut &shortcut)			{ cut = shortcut; }

	int exec();
	
	QString menuName() const					{ return mname; }
	QString command() const						{ return cmd; }
	QString commandLine() const					{ return cmdLine; }
	QString section() const						{ return sect; }
	KShortcut shortcut() const					{ return cut; }
private slots:
	void slotOkButtonPressed();
	void slotChangeShortcut(const KShortcut &newshortcut);
	void slotClearShortcut();
private:
	QString mname,cmd,cmdLine,sect;
	KShortcut cut;

	QGridLayout *KlatEditCommandDlgLayout;
	QVBoxLayout *leftLayout;
	QVBoxLayout *rightLayout;
//	QHBoxLayout *shortcutLayout;
	QHBoxLayout *buttonsLayout;
	QLabel *sectionLabel;
	QLabel *nameLabel;
	QLabel *cmdLabel;
	QLabel *cmdLineLabel;
//	QLabel *shortcutLabel;
	QComboBox *comboBox;
	QLineEdit *nameLineEdit;
	QLineEdit *cmdLineEdit;
	QLineEdit *cmdLineLineEdit;
//	QPushButton *cutButton;
//	QPushButton *cutClearButton;
	QPushButton *okButton;
	QPushButton *cancelButton;
//	QSpacerItem *horizontalSpacer;
	QSpacerItem *horizontalSpacer2;
};

#endif // KLATEDITCOMMANDDLGIMPL_H
