/*
    Klat4 - A LaTeX editor for KDE4
    
    Copyright (C) 2008  Anna A. Ladilova (ladilova@algebraic.ru)
    Copyright (C) 2002-2004  Jori Liesenborgs (jori@lumumba.luc.ac.be)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include "klatsplashdialogimpl.h"

#include <QWidget>
#include <QString>
#include <QTimer>
#include <QLabel>
#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QFrame>

KlatSplashDialogImpl::KlatSplashDialogImpl(QWidget *parent,char *name) : QDialog(parent)
{
	if (objectName().isEmpty())                                                                           
	    setObjectName("KlatSplashDialog");
	setWindowModality(Qt::NonModal);
	setWindowTitle("Dialog");
	resize(316, 240);
	QSizePolicy sizePolicy(QSizePolicy::Expanding, QSizePolicy::Expanding);
	sizePolicy.setHorizontalStretch(0);
	sizePolicy.setVerticalStretch(0);
	sizePolicy.setHeightForWidth(sizePolicy.hasHeightForWidth());
	setSizePolicy(sizePolicy);
	setMinimumSize(QSize(316, 239));
	setContextMenuPolicy(Qt::NoContextMenu);
	setAcceptDrops(false);
	setModal(true);
	setWindowFlags(Qt::SplashScreen);
	
	timer = new QTimer(this);
	
	Frame5 = new QFrame(this);
	Frame5->setObjectName("Frame5");
	Frame5->setGeometry(QRect(0, 0, 316, 240));
	Frame5->setFrameShape(QFrame::Box);
	Frame5->setFrameShadow(QFrame::Sunken);
	
	normalElephant = new QLabel(Frame5);
	normalElephant->setObjectName("normalElephant");
	normalElephant->setGeometry(QRect(11, 50, 293, 178));
	normalElephant->setFrameShape(QFrame::Panel);
	normalElephant->setFrameShadow(QFrame::Sunken);
	normalElephant->setPixmap(QPixmap(":/images/image.png"));
	normalElephant->setScaledContents(true);
	normalElephant->setText(QString());
	
	titleLabel = new QLabel(Frame5);
        titleLabel->setObjectName("titleLabel");
        titleLabel->setGeometry(QRect(131, 11, 50, 21));
	
	QFont font;
	font.setFamily(QString::fromUtf8("Helvetica"));
	font.setPointSize(20);
	font.setBold(true);
	font.setWeight(75);
	
	titleLabel->setFont(font);
	titleLabel->setAlignment(Qt::AlignLeading|Qt::AlignLeft|Qt::AlignVCenter);
	titleLabel->setText(tr("Klat4"));
	
	subtitleLabel = new QLabel(Frame5);
	subtitleLabel->setObjectName("subtitleLabel");
	subtitleLabel->setGeometry(QRect(81, 30, 189, 20));
	subtitleLabel->setAlignment(Qt::AlignLeading|Qt::AlignLeft|Qt::AlignVCenter);
	subtitleLabel->setText(tr("A LaTeX editor for KDE4", 0));
	
	connect(timer,SIGNAL(timeout()),this,SLOT(slotTimeout()));
}

KlatSplashDialogImpl::~KlatSplashDialogImpl()
{
}

void KlatSplashDialogImpl::show()
{
	QDialog::show();
	normalElephant->show();
	setFocus();
}

int KlatSplashDialogImpl::exec()
{
	timer->start(2000);
	return QDialog::exec();
}

void KlatSplashDialogImpl::slotTimeout()
{
	accept();
}
